## org.apache.aries.subsystem.core.archive
Class SymbolicNameHeader

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractHeader
          org.apache.aries.subsystem.core.archive.SymbolicNameHeader

All Implemented Interfaces:
  Header

Direct Known Subclasses:
  BundleSymbolicNameHeader, SubsystemSymbolicNameHeader

    public abstract class SymbolicNameHeader

extends AbstractHeader

Field Summary

Fields inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`clauses, name, PATTERN, REGEX, value`

Constructor Summary
`SymbolicNameHeader(String name, String value)`

Method Summary
`String` `getSymbolicName()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractHeader
`appendResource, getClauses, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SymbolicNameHeader

    public SymbolicNameHeader(String name,
                              String value)

Method Detail

### getSymbolicName

    public String getSymbolicName()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.